Members

Get all policies of the member user

GET
/api/v1/members/{memberId}/policies

Get the list of all direct and inherited policies of the member user within the current organization.

Authorization

AccessToken
Authorization<token>

Use access token to access this API. Example: "Authorization: api-MzQ..."

In: header

Path Parameters

memberId*string
Formatuuid

Header Parameters

Organization?string

The organization ID associated with the request. Some APIs require this header to identify the organization context. When authenticating with an Access Token, this header is automatically populated from the token and does not need to be provided manually.

Workspace?string

The workspace ID associated with the request. Some APIs require this header to identify the workspace context. When authenticating with an Access Token, this header is automatically populated from the token and does not need to be provided manually.

Response Body

application/json

curl -X GET "https://example.com/api/v1/members/497f6eca-6276-4993-bfeb-53cbbbba6f08/policies"
{  "success": true,  "errors": [    "string"  ],  "data": [    {      "id": "string",      "name": "string",      "key": "string",      "type": "string",      "description": "string",      "statements": [        {          "id": "string",          "resourceType": "string",          "effect": "string",          "actions": [            "string"          ],          "resources": [            "string"          ]        }      ],      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}